## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDOMImplementationWrapper Class Reference

`#include <XercesDOMImplementationWrapper.hpp>`

Inheritance diagram for XercesDOMImplementationWrapper:

[legend]
Collaboration diagram for XercesDOMImplementationWrapper:

[legend]
List of all members.

## Public Methods

- XercesDOMImplementationWrapper (DOMImplementationType *theXercesDOMImplementation)
- virtual ~XercesDOMImplementationWrapper ()

Getter functions

- virtual bool hasFeature (const XalanDOMString &feature, const XalanDOMString &version)
    Test if the DOM implementation implements a specific feature. More...

Functions introduced in DOM Level 2.

- virtual XalanDocumentType* createDocumentType (const XalanDOMString &qualifiedName, const XalanDOMString &publicId, const XalanDOMString &systemId)
    Creates an empty `DOMDocumentType` node. More...
- virtual XalanDocument* createDocument (const XalanDOMString &namespaceURI, const XalanDOMString &qualifiedName, const XalanDocumentType &doctype)
    Creates an XML `DOMDocument` object of the specified type with its document element. More...
- DOMImplementationType* getXercesNode () const
    Get the Xerces node this instance represent. More...

## Static Public Methods

- XercesDOMImplementationWrapper* create (MemoryManagerType &theManager, DOMImplementationType *theXercesDOMImplementation)

## Constructor & Destructor Documentation

XercesDOMImplementationWrapper::XercesDOMImplementationWrapper ( | DOMImplementationType * theXercesDOMImplementation )

XercesDOMImplementationWrapper::~XercesDOMImplementationWrapper ( | )`[virtual]`

## Member Function Documentation

XercesDOMImplementationWrapper * XercesDOMImplementationWrapper::create ( | MemoryManagerType & theManager,
| DOMImplementationType * theXercesDOMImplementation )`[static]`

XalanDocument * XercesDOMImplementationWrapper::createDocument ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & qualifiedName,
| const XalanDocumentType & doctype )`[virtual]`

  | Creates an XML `DOMDocument` object of the specified type with its document element. Parameters:
  namespaceURI | The namespace URI of the document element to create, or `null`.
  qualifiedName | The qualified name of the document element to be created.
  doctype | The type of document to be created or `null`.
  When `doctype` is not `null`, its `Node.ownerDocument` attribute is set to the document being created. Returns: A new `Document` object. Exceptions:
  DOMException | WRONG_DOCUMENT_ERR: Raised if `doctype` has already been used with a different document.
Reimplemented from XalanDOMImplementation.

XalanDocumentType * XercesDOMImplementationWrapper::createDocumentType ( | const XalanDOMString & qualifiedName,
| const XalanDOMString & publicId,
| const XalanDOMString & systemId )`[virtual]`

  | Creates an empty `DOMDocumentType` node. Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur. It is expected that a future version of the DOM will provide a way for populating a `DOMDocumentType`. Parameters:
  qualifiedName | The qualified name of the document type to be created.
  publicId | The external subset public identifier.
  systemId | The external subset system identifier.
Returns: A new `DocumentType` node with `Node.ownerDocument` set to `null`. Reimplemented from XalanDOMImplementation.

DOMImplementationType * XercesDOMImplementationWrapper::getXercesNode ( | ) const

| Get the Xerces node this instance represent. Returns: The Xerces node

bool XercesDOMImplementationWrapper::hasFeature ( | const XalanDOMString & feature,
| const XalanDOMString & version )`[virtual]`

  | Test if the DOM implementation implements a specific feature. Parameters:
  feature | The string of the feature to test (case-insensitive). The legal values are defined throughout this specification. The string must be an XML name (see also Compliance).
  version | This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`.
Returns: `true` if the feature is implemented in the specified version, `false` otherwise. Reimplemented from XalanDOMImplementation.

The documentation for this class was generated from the following file:

- XercesDOMImplementationWrapper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.